<!DOCTYPE html>
<html lang="en">

<head>
    <title></title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body>
    <h1>Registration Form</h1>
    <form name="registration" onsubmit="return validate()" method="post">
        <table>
            <tr>
                <td>Name :</td>
                <td><input type="text" id="name"></input></td>
            </tr>
            <tr>
                <td>E-mail :</td>
                <td><input type="email" id="email"></input></td>
            </tr>
            <tr>
                <td>Username :</td>
                <td> <input type="text" id="username"></input></td>
            </tr>
        </table>
        <input type="submit" value="submit" name="Submit" />
        <div id="result1">

        </div>
        <div id="result2">

        </div>
        <div id="result3">

        </div>
        <script>
            function validate() {
                var Name= document.getElementById("name").innerHTML
                var email= document.getElementById("email").innerHTML
                var username= document.getElementById("username").innerHTML
                if (name.length < 2) {
                    document.getElementById("result1").innerHTML = "Name is not Valid";
                }

                if(username.length<8)
                {
                    document.getElementById("result3").innerHTML = "Username is not Valid";
                }

                return false;
            }

        </script>

</body>

</html>
